Page MenuHomePhabricator

Temporarily add config and use it to use change_tag_def table instead of change_tag table for Special:Tags
Closed, ResolvedPublic

Description

Special:Tags is one of the slowest special pages as a consequence of the change_tag table not being normalized. We can wait until the migration is completely done or deviate a little bit from the migration plan and introduce another (also temporarily) config variable to read from change_tag_def table when we are at MIGRATION_WRITE_BOTH state and the maintenance script has been ran. This is such a low-hanging and big fruit that I failed to resist the temptation and suggested it to our PM and she agreed we can do it. Basically, it fixes a user-facing issue while the backend migration is still in progress.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2018, 2:44 PM

Change 445179 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add config to use change_tag_def table for Special:Tags

https://gerrit.wikimedia.org/r/445179

Ladsgroup updated the task description. (Show Details)Jul 11 2018, 2:46 PM
Ladsgroup moved this task from Incoming to Peer Review on the Wikidata-Campsite board.

Change 445179 merged by jenkins-bot:
[mediawiki/core@master] Add config to use change_tag_def table for Special:Tags

https://gerrit.wikimedia.org/r/445179

Change 445586 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: Set $wgTagStatisticsNewTable to true

https://gerrit.wikimedia.org/r/445586

Change 445586 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Set $wgTagStatisticsNewTable to true

https://gerrit.wikimedia.org/r/445586

Change 446579 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable new backend for Special:Tags in fawikisource

https://gerrit.wikimedia.org/r/446579

Change 446579 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable new backend for Special:Tags in fawikisource

https://gerrit.wikimedia.org/r/446579

Mentioned in SAL (#wikimedia-operations) [2018-07-18T16:28:33Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable new backend for Special:Tags on fawikisource (T199334) (duration: 00m 54s)

Change 447834 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable reading from the new backend for Special:Tags in several large wikis

https://gerrit.wikimedia.org/r/447834

Change 447834 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reading from the new backend for Special:Tags in several large wikis

https://gerrit.wikimedia.org/r/447834

Mentioned in SAL (#wikimedia-operations) [2018-07-25T16:49:13Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:447834|Enable reading from the new backend for Special:Tags in several large wikis (T199334)]] (duration: 00m 56s)

Lydia_Pintscher closed this task as Resolved.Jul 26 2018, 3:37 PM
Lydia_Pintscher moved this task from Test (Verification) to Done on the Wikidata-Campsite board.

Change 449137 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable reading from change_tag_def everywhere

https://gerrit.wikimedia.org/r/449137

Change 449137 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reading from change_tag_def everywhere

https://gerrit.wikimedia.org/r/449137

Mentioned in SAL (#wikimedia-operations) [2018-07-30T11:12:05Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:449137|Enable reading from change_tag_def everywhere (T199334)]] (duration: 00m 55s)